Record Approval for Prior Authorization.
Either provide approval details (reference_number, dates, codes) to mark as approved,
or provide approval_letter_file_ids to trigger approval OCR.
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_number": null,
"approved_start_date": null,
"approved_end_date": null,
"approved_treatment_codes": [
{
"treatment_codes": [
{
"code": "<string>",
"treatment_code_modifiers": [
{
"code": "<string>"
}
]
}
],
"units": "2.5",
"time_frame": "TOTAL",
"reference_number": null
}
],
"approval_letter_file_ids": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}/sync"
payload = {
"reference_number": None,
"approved_start_date": None,
"approved_end_date": None,
"approved_treatment_codes": [
{
"treatment_codes": [
{
"code": "<string>",
"treatment_code_modifiers": [{ "code": "<string>" }]
}
],
"units": "2.5",
"time_frame": "TOTAL",
"reference_number": None
}
],
"approval_letter_file_ids": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference_number: null,
approved_start_date: null,
approved_end_date: null,
approved_treatment_codes: [
{
treatment_codes: [{code: '<string>', treatment_code_modifiers: [{code: '<string>'}]}],
units: '2.5',
time_frame: 'TOTAL',
reference_number: null
}
],
approval_letter_file_ids: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Sync
Record Approval for Prior Authorization. Either provide approval details (reference_number, dates, codes) to mark as approved, or provide approval_letter_file_ids to trigger approval OCR.
POST
/
public
/
v1
/
prior-authorizations
/
{prior_authorization_id}
/
sync
Record Approval for Prior Authorization.
Either provide approval details (reference_number, dates, codes) to mark as approved,
or provide approval_letter_file_ids to trigger approval OCR.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Authorization reference number
Approved start date
Approved end date
List of approved treatment codes
Show child attributes
Show child attributes
List of approval letter file IDs to trigger OCR. Mutually exclusive with manual approval details.
Response
OK
⌘I